<?php
require_once(dirname(__FILE__).'/stk_htmls_plain.php');
require_once(dirname(__FILE__).'/stk_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');

global $session, $stk_database;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = "PIN Codes";

print(GetHTMLHeader($pagetitle));
print(GetPageTop());

$ffscript = "";
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
	<tr>
		<td class="headleft">&nbsp;</td>
		<td class="headnav"><?php print(GetSTKHeadMenu()) ?></td>
	</tr>
</table>
</div>

<table class="pagecontent">
	<tr>
		<td class="menu"><?php print(GetSTKMenu()) ?></td>
		<td class="content"><?php
		if ($session->logged_in) {
			print(GetPageContentTitle($pagetitle));
			$script = "";
			$gen_stk_pinspin_id = 0;

			echo "<form name=\"frmmain\" action=\"process.php\" method=\"post\" onSubmit=\"return disableForm(this);\">\n";
			echo "<input type=\"hidden\" name=\"sub_stk_pins\" value=\"1\">\n";
			echo "<input type=\"hidden\" name=\"hidChangedPinsPINIDHolder\" id=\"hidChangedPinsPINIDHolder\" value=\"\">\n";
			echo "<input type=\"hidden\" name=\"hidChangedPinsNumberIDHolder\" id=\"hidChangedPinsNumberIDHolder\" value=\"\">\n";
			//
			echo "<table class=nb id=\"stk_pins_content\" name=\"stk_pins_content\"style=\"border-bottom:1px solid #ccc;\" cellspacing=\"0\">\n";
			echo "<tr>\n";
			echo "<th width=200px>PINS</th>\n";
			echo "<th width=200px>Numbers</th>\n";
			echo "</tr>\n";
			echo "<tr valign=top>\n";
			echo "<td>\n";
			//PINS Table
			echo "<table class=nb name=\"stk_pins_pin\" style=\"border-bottom:1px solid #ccc;\"  id=\"stk_pins_pin\" cellspacing=\"0\">\n";
			echo "<tr><th></th><th></th></tr>\n";
			$main_id = 0;
			$pins = $stk_database->GetPINsPin($session->stk_accountid,$session->stk_emitterkcid);
			foreach ($pins as $row) {
					$main_id++;
					$gen_stk_pinspin_id = max($gen_stk_pinspin_id, $main_id);
					$script .= sprintf("AddNewPinsPin(%d,\"%s\");\n",$main_id,$row["PIN"]);
			}

			echo GetJavaScriptCodeBlock("gen_stk_pinspin_id = $gen_stk_pinspin_id");
			echo GetJavaScriptCodeBlock($script);
			echo "</table><br>\n";
			//free pins
			$free_pins = $stk_database->getSTKFreePINs();
			if ($free_pins) {
					echo "<select class=selectacf name=\"sel_stk_pins_free\" id=\"sel_stk_pins_free\">";
					$sel_selected = '';
					foreach ($free_pins as $row) {
						echo "<option value=\"".$row['PIN']."\" ".$sel_selected.">".$row['PIN']."</option>";
					}
					echo "</select><br>\n";

					//ADD button
					echo "<a class=\"imglinkbsm\" onclick=\"AddNewPinsPin()\" title=\" \">" .
					"<img class=\"imglink\" style=\"vertical-align:middle\" src=\"images/add.gif\" width=\"16\" height=\"16\" alt=\" \">" .
					"&nbsp; </a><br><br>\n";
			} else {
					echo "No free PINs";
			}
		//TODO: GENERATE PIN
		//   echo "<a class=\"imglinkbsm\" onclick=\"GenerateNewPIN()\" title=\"Generate \">" .
		//      "<img class=\"imglink\" style=\"vertical-align:middle\" src=\"images/add.gif\" width=\"16\" height=\"16\" alt=\"Generate \">" .
		//      "&nbsp;Generate </a><br><br>\n";

		//echo "<input class=\"inputm\" type=\"text\" name=inp_stk_pinspin_max maxlength=\"10\" value=\"".$paaInfo['FIO']."\">";
		echo "</td>";
		echo "<td>\n";
		//Numbers Table
		echo "<table class=nb name=\"stk_pins_num\" style=\"border-bottom:1px solid #ccc;\"  id=\"stk_pins_num\" cellspacing=\"0\">\n";
		echo "<tr><th></th><th></th></tr>\n";
		$main_id = 0;
		$script = "";
		$gen_stk_pinsnum_id = 0;
		$nums = $stk_database->GetPINsNum($session->stk_accountid,$session->stk_emitterkcid);
		foreach ($nums as $row) {
				$main_id++;
				$gen_stk_pinsnum_id = max($gen_stk_pinsnum_id, $main_id);
				$script .= sprintf("AddNewPinsNum(%d,\"%s\");\n",$main_id,$row["PINPHONE"]);
		}

		echo GetJavaScriptCodeBlock("gen_stk_pinsnum_id = $gen_stk_pinsnum_id");
		echo GetJavaScriptCodeBlock($script);

		echo "</table>\n";
		//ADD Button
		echo "<a class=\"imglinkbsm\" onclick=\"AddNewPinsNum()\" title=\" \">" .
		"<img class=\"imglink\" style=\"vertical-align:middle\" src=\"images/add.gif\" width=\"16\" height=\"16\" alt=\" \">" .
		"&nbsp; </a><br><br>\n";

		echo "</td>";
		echo "</tr>\n";
		echo "</table>";

		echo "<br>";
		echo "<input type=\"hidden\" name=\"gen_stk_pinspin_id\" value=\"$gen_stk_pinspin_id\">\n";
		echo "<input type=\"hidden\" name=\"gen_stk_pinsnum_id\" value=\"$gen_stk_pinsnum_id\">\n";
		echo "<input class=\"inputbacc\" type=\"submit\" name=\"btsubmit\" value=\" \">\n";
		echo "</form>\n";
		} else {
			echo "Need LogIn";
		}
	?></td>
	</tr>
</table>
</div>

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print($ffscript);
print(GetHTMLFooter());
?>
